<?php

if ( ! defined( 'ABSPATH' ) ) exit;

class WooCommerce_Shipmate_Parcel {

	protected $sender_reference = null;
	protected $weight = null;
	protected $length = null;
	protected $width = null;
	protected $depth = null;
	protected $value = null;
	protected $attributes = array();
    protected $hs_code = null;
    protected $short_description = null;
    protected $full_description = null; 
    protected $country_of_origin = null;
    protected $product_total_unit_value = null;
    protected $product_total_unit_weight = null;

	/**
	 * Constructor function.
	 * @access  public
	 * @since   1.0.0
	 * @return  void
	 */
	public function __construct ($parcel_num, $order_id, $weight, $length, $width, $depth, $parcel_attributes = array(), $parcel_meta = array()) {
        error_log(print_r($parcel_meta, true));
		$this->sender_reference = $order_id . '-' . $parcel_num;
		$this->value = 0;

		$this->weight = $weight;
		$this->length = $length;
		$this->width = $width;
		$this->depth = $depth;
        $this->attributes = $parcel_attributes;
        $this->hs_code = $parcel_meta['hs_code'];
        $this->short_description = $parcel_meta['short_description'];
        $this->full_description = $parcel_meta['full_description'];
        $this->country_of_origin = $parcel_meta['country_of_origin'];
        $this->product_total_unit_weight = $parcel_meta['product_value'];
        $this->product_total_unit_value = $parcel_meta['product_weight'];
	} // End __construct ()

	public function toArray() {
		return array(
			'reference' => $this->sender_reference(),
			'value' => $this->value(),
			'weight' => $this->weight(),
			'length' => $this->length(),
			'width' => $this->width(),
			'depth' => $this->depth(),
            'attributes' => $this->attributes(),
            'harmonised_code' => $this->hs_code(),
            'short_description' => $this->short_description(),
            'full_description' => $this->full_description(),
            'country_of_origin' => $this->country_of_origin()
		);
	}

    /**
     * Gets the value of sender_reference.
     *
     * @return mixed
     */
    public function sender_reference() {
        return $this->sender_reference;
    }

    /**
     * Gets the value of weight.
     *
     * @return mixed
     */
    public function weight() {
        return $this->weight;
    }

    /**
     * Gets the value of length.
     *
     * @return mixed
     */
    public function length() {
        return $this->length;
    }

    /**
     * Gets the value of width.
     *
     * @return mixed
     */
    public function width() {
        return $this->width;
    }

    /**
     * Gets the value of depth.
     *
     * @return mixed
     */
    public function depth() {
        return $this->depth;
    }

    /**
     * Gets the value of value.
     *
     * @return mixed
     */
    public function value() {
        return $this->value;
    }

    /**
     * Gets the value of attributes.
     *
     * @return mixed
     */
    public function attributes() {
        return $this->attributes;
    }

    /**
     * Gets the value of product_name.
     *
     * @return mixed
     */
    public function product_name()
    {
        return $this->product_name;
    }

    /**
     * Gets the value of order_item_id.
     *
     * @return mixed
     */
    public function order_item_id()
    {
        return $this->order_item_id;
    }


    public function hs_code()
    {
        return $this->hs_code;
    }


    public function short_description()
    {
        return $this->short_description;
    }

    public function full_description()
    {
        return $this->full_description;
    }

    public function country_of_origin()
    {
        return $this->country_of_origin;
    }

    public function product_total_unit_value()
    {
        return $this->product_total_unit_value;
    }

    public function product_total_unit_weight()
    {
        return $this->product_total_unit_weight;
    }
}
