<?php
/*
 * Plugin Name: WooCommerce Shipmate
 * Version: 2.0
 * Plugin URI: https://www.shipmate.co.uk
 * Description: The WooCommerce Shipmate plugin
 * Author: Shipmate
 * Author URI: https://www.shipmate.co.uk
 * Requires at least: 4.0
 * Tested up to: 4.9
 *
 * Text Domain: woocommerce-shipmate
 * Domain Path: /lang/
 *
 * @package WooCommerceShipmate
 * @author Shipmate
 * @since 1.0.0
 */
if ( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) {
 	if ( ! class_exists( 'WC_Acme' ) ) {
		if ( ! defined( 'ABSPATH' ) ) exit;

		// Load plugin class files
		require_once( 'includes/class-woocommerce-shipmate.php' );
		require_once( 'includes/class-woocommerce-shipmate-settings.php' );
		require_once( 'includes/class-woocommerce-shipmate-order-actions.php' );
		require_once( 'includes/class-woocommerce-shipmate-list-order-actions.php' );
		require_once( 'includes/class-woocommerce-shipmate-order-metabox.php');
		require_once( 'includes/class-woocommerce-shipmate-orders-metabox.php');
		//require_once( 'includes/class-woocommerce-shipmate-fields.php');

		// Load plugin libraries
		require_once( 'includes/lib/class-woocommerce-shipmate-admin-api.php' );
		require_once( 'includes/lib/class-woocommerce-shipmate-post-type.php' );
		require_once( 'includes/lib/class-woocommerce-shipmate-taxonomy.php' );

		// Load shipmate libaries
		require_once( 'includes/shipmate/class-woocommerce-shipmate-integration.php' );
		require_once( 'includes/shipmate/class-woocommerce-shipmate-service.php' );
		require_once( 'includes/shipmate/class-woocommerce-shipmate-api-response.php' );

		// Load shipmate classes
		require_once( 'includes/shipmate/objects/class-woocommerce-shipmate-consignment.php' );
		require_once( 'includes/shipmate/objects/class-woocommerce-shipmate-parcel.php' );
		require_once( 'includes/shipmate/objects/class-woocommerce-shipmate-address.php' );

		/**
		 * Returns the main instance of WooCommerce_Shipmate to prevent the need to use globals.
		 *
		 * @since  1.0.0
		 * @return object WooCommerce_Shipmate
		 */
		function WooCommerce_Shipmate () {
			$instance = WooCommerce_Shipmate::instance( __FILE__, '1.3.0' );

			if ( is_null( $instance->settings ) ) {
				$instance->settings = WooCommerce_Shipmate_Settings::instance( $instance );
			}

			$order_actions = new WooCommerce_Shipmate_Order_Actions($instance);
			$order_list_actions = new WooCommerce_Shipmate_List_Order_Actions($instance);

			return $instance;
		}

		WooCommerce_Shipmate();
	}
}
